@charset "UTF-8";

html {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  width: 100%;
  height: 100%;
}

body {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: space-between;
}

::-webkit-scrollbar {
  width: 9px;
  height: 9px;
}

::-webkit-scrollbar-track {
  background: transparent;
}

::-webkit-scrollbar-thumb {
  background: rgba(0, 0, 0, .2);
  border-radius: 4px;
}

::-webkit-scrollbar-thumb:hover {
  background: #666;
}

::-webkit-scrollbar-corner {
  background: transparent;
}

#menu {
  width: 280px;
  overflow: hidden;
  overflow-y: auto;
  box-sizing: border-box;
  padding-top: 10px;
  box-shadow: 0 0 8px 4px rgba(60, 60, 60, .1);
}

.doc {
  flex: 1;
  overflow: hidden;
  overflow-y: auto;
  box-sizing: border-box;
  padding: 10px;
}

.doc .logo {
  position: relative;
  font-size: 50px;
  font-weight: 900;
  color: #409eff;
  text-align: center;
  text-shadow: 5px 11px 4px rgba(0, 0, 0, .1);
  z-index: -1;
}

.doc .logo img {
  position: absolute;
  left: 50%;
  margin-left: 30px;
  top: 1px;
}

.doc h1 {
  margin: 48px 0 16px;
  padding-top: 24px;
  letter-spacing: -.02em;
  line-height: 32px;
  font-size: 24px;
  position: relative;
}

.doc h2 {
  margin: 32px 0 0;
  letter-spacing: -.01em;
  line-height: 28px;
  font-size: 20px;
  position: relative;
}

.doc h3 {
  margin: 26px 0 0;
  letter-spacing: -.01em;
  line-height: 28px;
  font-size: 16px;
  position: relative;
}

.doc p {
  line-height: 28px;
  margin: 16px 0;
  color: rgba(60, 60, 67);
}

.doc a, #menu a {
  color: #4565d8;
  text-decoration: none;
  padding: 0 5px;
}

.doc a:hover, #menu a:hover {
  text-decoration: 2px underline dotted;
}

#menu a {
  display: block;
  position: relative;
  line-height: 32px;
  white-space: nowrap;
}

.doc .block {
  border: 1px solid #c2c2c4;
  border-radius: 8px;
  padding: 16px 16px 8px;
  line-height: 24px;
  background-color: #f6f6f7;
  color: rgba(60, 60, 67, 0.8);
}

.doc p code, .doc .block code {
  margin: 0 5px;
  border-radius: 4px;
  padding: 3px 6px;
  background-color: #476582;
  color: #fff;
}

.doc p u, .doc h1 u, .doc h2 u, .doc h3 u, #menu a u {
  margin: 0 5px;
  border-radius: 4px;
  padding: 3px 6px;
  background-color: #67c23a;
  color: #fff;
  text-decoration: none;
  white-space: nowrap;
}

.doc h1 u, .doc h2 u, .doc h3 u, #menu a u {
  line-height: 12px;
  font-size: 12px;
  position: absolute;
  top: 20px;
}

#menu a u {
  top: 7px;
}

#demo-legal-holiday {
  margin: 20px 0;
  clear: both;
  overflow: hidden;
  border-radius: 16px;
  padding: 20px;
  -webkit-box-shadow: 0 2px 8px 0 rgba(0, 0, 0, .08);
  box-shadow: 0 2px 8px 0 rgba(0, 0, 0, .08);
}

#demo-legal-holiday p {
  margin: 0;
  line-height: 32px;
}

.month-calendar, #demo-huangli {
  display: none;
  position: relative;
  margin: 20px auto;
  width: 588px;
  clear: both;
  overflow: hidden;
  border-radius: 16px;
  padding: 20px;
  -webkit-box-shadow: 0 2px 8px 0 rgba(0, 0, 0, .08);
  box-shadow: 0 2px 8px 0 rgba(0, 0, 0, .08);
}

.month-calendar *, #demo-huangli * {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

.month-calendar .month {
  position: absolute;
  left: 0;
  top: 0;
  font-size: 80px;
  width: 100%;
  height: 442px;
  text-align: center;
  line-height: 442px;
  color: #999;
  opacity: 0.1;
  filter: alpha(opacity=10);
}

.month-calendar ul {
  display: block;
  clear: both;
  padding-top: 20px;
}

.month-calendar li {
  position: relative;
  list-style: none;
  float: left;
  display: block;
  width: 84px;
  height: 54px;
  text-align: center;
}

.month-calendar div {
  position: relative;
  margin: 0 auto;
  width: 80px;
  height: 54px;
  border-radius: 10px;
}

.month-calendar div.prev, .month-calendar div.next {
  position: absolute;
  top: 50%;
  width: 20px;
  height: 20px;
  margin-top: -10px;
  font-size: 0;
  cursor: pointer;
}

.month-calendar div.prev:before, .month-calendar div.next:before {
  content: '';
  position: absolute;
  top: 0;
  width: 0;
  height: 0;
  border: 10px solid transparent;
}

.month-calendar div.prev:before {
  left: 5px;
  border-right-color: rgba(30, 30, 30, 0.2);
}

.month-calendar div.next:before {
  right: 5px;
  border-left-color: rgba(30, 30, 30, 0.2);
}

.month-calendar div.prev {
  left: 0;
}

.month-calendar div.next {
  right: 0;
}

.month-calendar ul.week {
  padding-top: 0;
}

.month-calendar ul.week li {
  height: 32px;
  line-height: 32px;
}

.month-calendar li b {
  display: block;
  font-weight: normal;
  font-size: 24px;
}

.month-calendar li i {
  display: block;
  font-style: normal;
  font-size: 12px;
  color: rgba(30, 31, 36, .5);
  white-space: nowrap;
}

.month-calendar ul li.weekend {
  color: #d42f32;;
}

.month-calendar li.holiday {
  color: #d42f32;
}

.month-calendar li.holiday div {
  background: rgba(235, 51, 51, .05);
}

.month-calendar li.holiday b, .month-calendar li.holiday i {
  color: #d42f32;
}

.month-calendar li.holiday-work div {
  background: rgba(120, 120, 120, .05);
}

.month-calendar li.holiday-work b, .month-calendar li.holiday-work i {
  color: rgba(30, 31, 36, .5);
}

.month-calendar li u {
  position: absolute;
  right: -5px;
  top: -5px;
  background-color: #4e5877;
  color: #fff;
  font-size: 12px;
  line-height: 14px;
  padding: 1px 2px;
  border-radius: 4px;
  text-decoration: none;
}

.month-calendar li.holiday u {
  background-color: #d42f32;
}

.month-calendar li.holiday-work u {
  background-color: #4e5877;
}

.month-calendar li.gray {
  opacity: 0.3;
}

.month-calendar li.today div {
  background-color: #4e6ef2;
  color: #fff;
}

.month-calendar li.today i {
  color: #fff;
}

.month-calendar li.today u {
  background-color: #6b88ff;
}

.month-calendar li.today b {
  color: #fff;
}

ul.line {
  display: block;
  list-style: none;
  zoom: 1;
  overflow: hidden;
}

ul.line li {
  position: relative;
  margin-right: 5px;
  float: left;
  text-align: center;
  border-bottom: 2px solid #000;
  padding: 0 4px;
}

ul.line li::before, ul.line li::after {
  content: '';
  position: absolute;
  left: 0;
  bottom: 0;
  width: 2px;
  height: 6px;
  background-color: #000;
}

ul.line li::after {
  left: auto;
  right: 0;
}

ul.line li.node {
  border: 2px solid #000;
}

ul.line li.node::before, ul.line li.node::after {
  display: none;
}

.donate {
  position: relative;
  float: right;
  right: 0;
  top: -60px;
  width: 160px;
}
.donate img {
  width: 100%;
}

.languages {
  position: fixed;
  right: 20px;
  bottom: 40px;
  background: #fff;
  z-index: 9999;
  width: 80px;
  padding: 10px;
  -webkit-box-shadow: 0 2px 8px 0 rgba(0, 0, 0, .08);
  box-shadow: 0 2px 8px 0 rgba(0, 0, 0, .08);
  border-radius: 10px;
}

.languages ul {
  display: block;
  list-style: none;
  margin: 0;
  padding: 0;
}

.languages ul li {
  display: block;
  border-radius: 5px;
  overflow: hidden;
  margin-bottom: 5px;
}

.languages ul li:last-child {
  margin-bottom: 0;
}

.languages ul li a {
  display: block;
  height: 24px;
  line-height: 24px;
  text-align: center;
  font-size: 13px;
}

.languages ul li.active {
}

.languages ul li.active a {
  background-color: #4565d8;
  color: #fff;
}

.lang-other {
  display: none;
}

#demo-huangli {
  text-align: center;
  color: #888;
}

#demo-huangli i, #demo-huangli li {
  font-style: normal;
  font-size: 14px;
}

#demo-huangli .solar {
  font-size: 16px;
  margin-bottom: 10px;
}

#demo-huangli .lunar {
  font-size: 22px;
  color: #d42f32;
  margin-bottom: 10px;
}

#demo-huangli .gz {
  font-size: 16px;
  margin-bottom: 10px;
}

#demo-huangli table {
  width: 100%;
  border-collapse: collapse;
  border-style: none;
  border-right: 1px solid #e2e2e2;
  border-bottom: 1px solid #e2e2e2;
}

#demo-huangli table td {
  border-left: 1px solid #e2e2e2;
  border-top: 1px solid #e2e2e2;
  padding: 3px;
  padding-top: 10px;
  padding-bottom: 10px;
}

#demo-huangli table td div {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  align-content: space-between;
  margin: 0 10px;
}

#demo-huangli table td div u {
  flex: 1;
  text-decoration: none;
  text-align: center;
}

#demo-huangli table td i u {
  color: #d42f32;
}

#demo-huangli table td i u.luck {
  color: #4cb153;
}

#demo-huangli table td.h div {
  flex-direction: row;
}

#demo-huangli table td.v b, #demo-huangli table td.v i {
  width: 1.2em;
  display: block;
  margin: 0 auto;
}

#demo-huangli table td b {
  font-weight: normal;
  color: #c69c70;
}

#demo-huangli table td ul {
}

#demo-huangli table td li {
  list-style: none;
  padding: 0 3px;
  float: left;
}

#demo-huangli .yi, #demo-huangli .ji {
  clear: both;
  overflow: hidden;
  padding-left: 30px;
  position: relative;
  line-height: 26px;
  margin-bottom: 10px;
}

#demo-huangli .yi::before, #demo-huangli .ji::before {
  position: absolute;
  left: 0;
  top: 2px;
  width: 22px;
  height: 22px;
  line-height: 22px;
  border-radius: 50%;
  background-color: #4cb153;
  color: #fff;
  font-size: 12px;
}

#demo-huangli .yi::before {
  content: '宜';
}

#demo-huangli .ji::before {
  content: '忌';
  background-color: #d42f32;
}

#demo-huangli .yi i, #demo-huangli .ji i {
  float: left;
  margin: 0 3px;
}

#demo-eight-char {
  position: relative;
  border-radius: 16px;
  -webkit-box-shadow: 0 2px 8px 0 rgba(0, 0, 0, .08);
  box-shadow: 0 2px 8px 0 rgba(0, 0, 0, .08);
  width: 1080px;
  height: 480px;
}
#demo-eight-char * {
  margin: 0;
  padding: 0;
  font-size: 14px;
}
#demo-eight-char .eight-char {
  position: relative;
  left: 0;
  width: 300px;
}
#demo-eight-char .eight-char::before {
  content: '';
  position: absolute;
  left: 305px;
  top: 0;
  width: 0;
  height: 100%;
  border-right: 1px solid #e2e2e2;
}
#demo-eight-char ul, #demo-eight-char ol {
  list-style: none;
  overflow: hidden;
  zoom: 1;
}
#demo-eight-char ul li {
  display: block;
  width: 60px;
  float: left;
  text-align: center;
  padding: 10px 0;
  cursor: default;
}
#demo-eight-char ul li.title {
  color: #aaa;
}
#demo-eight-char ol li {
  display: block;
  padding: 0;
}
#demo-eight-char .form {
  padding: 10px;
  border-bottom: 1px solid #e2e2e2;
}
#demo-eight-char label {
  margin-right: 20px;
}
#demo-eight-char input, #demo-eight-char select {
  margin:0 3px;
  width: 50px;
  padding: 3px 0;
  border: 1px solid #e2e2e2;
  border-radius: 3px;
  text-align: center;
  background-color: #fff;
}
#demo-eight-char b {
  font-weight: normal;
}
#demo-eight-char i {
  font-style: normal;
}
#demo-eight-char u {
  text-decoration: none;
}
#demo-eight-char .fortune {
  position: absolute;
  left: 300px;
  top: 60px;
}
#demo-eight-char .fortune b, #demo-eight-char .fortune i, #demo-eight-char .fortune u, #demo-eight-char .fortune span {
  white-space: nowrap;
  display: block;
}
#demo-eight-char .fortune i, #demo-eight-char .fortune span {
  font-size: 12px;
  color: #b2b2b2;
}
#demo-eight-char .fortune .flex {
  margin-left: 15px;
  margin-bottom: 10px;
  margin-right: 10px;
  display: flex;
  justify-content: space-between;
}
#demo-eight-char .fortune .flex span {
  color: #333;
  font-size: 14px;
}

#demo-eight-char li.selected {
  background-color: #4e6ef2;
  color: #fff;
}
#demo-eight-char li.selected i, #demo-eight-char li.selected span {
  color: #e2e2e2;
}
#demo-eight-char .fortune ul li:hover {
  background-color: #f2f2f2;
  color: #4e6ef2;
}
#demo-eight-char .fortune ul li:hover i, #demo-eight-char .fortune ul li:hover span{
  color: #4e6ef2;
}
#demo-eight-char .fortune ul li.title:hover, #demo-eight-char .fortune ul:last-child li:hover {
  background-color: transparent;
  color: #000;
}
#demo-eight-char .fortune ul li.title:hover {
  color: #aaa;
}
.moon {
  background-repeat: no-repeat;
  background-position: 12px 3px;
  background-size: 18px 18px;
}
.moon-0 {
  background-image: url('data:image/svg+xml,<svg viewBox="0 0 1024 1024" version="1.1" xmlns="http://www.w3.org/2000/svg" width="200" height="200"><path d="M127.658667 492.885333c0 69.632 17.066667 134.144 51.541333 192.853334s80.896 105.813333 139.946667 139.946666S442.368 877.226667 512 877.226667s133.802667-17.066667 192.853333-51.541334 105.472-80.896 139.605334-139.946666 51.541333-123.221333 51.541333-192.853334-17.066667-133.802667-51.541333-192.853333-80.896-105.472-139.605334-139.605333S581.632 108.885333 512 108.885333s-133.802667 17.408-192.853333 51.541334-105.813333 80.896-139.946667 139.605333-51.541333 123.221333-51.541333 192.853333z" style="fill: rgb(100, 108, 119);"></path></svg>');
}
.moon-1 {
  background-image: url('data:image/svg+xml,<svg viewBox="0 0 1024 1024" version="1.1" xmlns="http://www.w3.org/2000/svg" width="200" height="200"><ellipse style="stroke: rgb(0, 0, 0); fill: rgb(245, 186, 69);" cx="511.394" cy="512.303" rx="383.796" ry="382.991"/><path d="M 128.06 511.829 C 128.06 459.946 138.3 410.111 158.439 362.666 C 178.578 315.221 206.226 274.602 240.359 240.127 C 274.492 205.653 315.452 178.346 362.898 158.207 C 410.343 138.069 459.836 127.829 512.06 127.829 C 564.284 127.829 613.778 138.069 661.223 158.207 C 708.668 178.346 749.628 205.994 784.103 240.127 C 818.578 274.261 845.884 315.221 866.023 362.666 C 886.162 410.111 896.402 459.605 896.402 511.829 C 896.402 564.053 886.162 613.546 866.023 660.991 C 845.884 708.437 818.236 749.397 784.103 783.871 C 749.97 818.346 709.01 845.653 661.223 865.791 C 613.436 885.93 563.943 896.17 512.06 896.17 C 460.178 896.17 410.343 885.93 362.898 865.791 C 315.452 845.653 274.834 818.005 240.359 783.871 C 205.884 749.738 178.578 708.778 158.439 660.991 C 138.3 613.205 128.06 564.053 128.06 511.829 Z M 559.506 171.861 C 615.484 202.581 661.564 246.954 697.404 304.981 C 733.244 363.007 750.994 431.957 750.994 511.829 C 750.994 679.082 692.284 791.722 574.866 849.407 C 655.079 834.389 721.98 795.135 775.228 731.989 C 828.476 668.842 855.1 595.455 855.1 511.829 C 855.1 455.167 842.13 402.261 816.188 352.767 C 790.247 303.274 754.748 262.997 709.351 230.911 C 663.954 198.826 614.802 179.711 559.506 171.861 Z" style="fill: rgb(100, 108, 119);"/></svg>');
}
.moon-2 {
  background-image: url('data:image/svg+xml,<svg viewBox="0 0 1024 1024" version="1.1" xmlns="http://www.w3.org/2000/svg" width="200" height="200"><ellipse style="stroke: rgb(0, 0, 0); fill: rgb(245, 186, 69);" cx="511.394" cy="512.303" rx="383.796" ry="382.991"/><path d="M 127.83 511.829 C 127.83 459.947 138.07 410.112 158.208 362.667 C 178.347 315.221 205.995 274.603 240.128 240.128 C 274.262 205.653 315.222 178.347 362.667 158.208 C 410.112 138.069 459.606 127.829 511.83 127.829 C 564.054 127.829 613.547 138.069 660.992 158.208 C 708.438 178.347 749.398 205.995 783.872 240.128 C 818.347 274.261 845.654 315.221 865.792 362.667 C 885.931 410.112 896.171 459.605 896.171 511.829 C 896.171 564.053 885.931 613.547 865.792 660.992 C 845.654 708.437 818.006 749.397 783.872 783.872 C 749.739 818.347 708.779 845.653 660.992 865.792 C 613.206 885.931 563.712 896.171 511.83 896.171 C 459.947 896.171 410.112 885.931 362.667 865.792 C 315.222 845.653 274.603 818.005 240.128 783.872 C 205.654 749.739 178.347 708.779 158.208 660.992 C 138.07 613.205 127.83 564.053 127.83 511.829 Z M 505.344 855.552 L 511.83 855.552 C 558.592 855.552 602.966 846.336 645.291 828.245 C 687.616 810.155 724.139 785.579 754.859 754.859 C 785.579 724.139 809.814 687.616 828.246 645.291 C 846.678 602.965 855.552 558.592 855.552 511.829 C 855.552 465.408 846.336 421.035 828.246 378.709 C 810.155 336.384 785.579 299.861 754.859 269.141 C 724.139 238.421 687.616 214.187 645.291 195.755 C 602.966 177.323 558.592 168.448 511.83 168.448 L 505.344 168.448 L 505.344 855.552 Z" style="fill: rgb(100, 108, 119);"/></svg>');
}
.moon-3 {
  background-image: url('data:image/svg+xml,<svg viewBox="0 0 1024 1024" version="1.1" xmlns="http://www.w3.org/2000/svg" width="200" height="200"><ellipse style="stroke: rgb(0, 0, 0); fill: rgb(245, 186, 69);" cx="511.394" cy="512.303" rx="383.796" ry="382.991"/><path d="M 127.829 511.829 C 127.829 442.538 144.895 378.368 179.37 319.317 C 213.845 260.266 260.266 213.504 319.317 179.37 C 378.367 145.237 442.538 127.829 511.829 127.829 C 563.711 127.829 613.546 138.069 660.991 158.208 C 708.437 178.346 749.397 205.994 783.871 240.128 C 818.346 274.261 845.653 315.221 865.791 362.666 C 885.93 410.112 896.17 459.605 896.17 511.829 C 896.17 564.053 885.93 613.546 865.791 660.992 C 845.653 708.437 818.005 749.397 783.871 783.872 C 749.738 818.346 708.778 845.653 660.991 865.792 C 613.205 885.93 563.711 896.17 511.829 896.17 C 459.946 896.17 410.111 885.93 362.666 865.792 C 315.221 845.653 274.261 818.005 240.127 783.872 C 205.994 749.738 178.687 708.778 158.207 660.992 C 137.727 613.205 127.829 564.053 127.829 511.829 Z M 359.935 511.829 C 359.935 663.381 399.871 777.386 479.402 853.845 C 481.791 853.845 485.205 853.845 489.642 854.186 C 494.079 854.528 498.175 854.869 501.589 854.869 C 505.002 854.869 508.415 855.21 511.829 855.21 C 558.25 855.21 602.623 845.994 644.949 827.904 C 687.274 809.813 724.138 785.237 754.858 754.517 C 785.578 723.797 809.813 687.274 828.245 644.949 C 846.677 602.624 855.551 558.25 855.551 511.488 C 855.551 465.066 846.335 420.693 828.245 378.368 C 810.154 336.042 785.578 299.52 754.858 268.8 C 724.138 238.08 687.615 213.845 644.949 195.413 C 602.282 176.981 557.909 168.106 511.829 168.106 C 499.541 168.106 490.325 168.448 484.181 169.13 C 447.317 210.773 417.279 260.949 394.069 320 C 370.858 379.05 359.935 443.221 359.935 511.829 Z" style="fill: rgb(100, 108, 119);"/></svg>');
}
.moon-4 {
  background-image: url('data:image/svg+xml,<svg viewBox="0 0 1024 1024" version="1.1" xmlns="http://www.w3.org/2000/svg" width="200" height="200"><ellipse style="stroke: rgb(0, 0, 0); fill: rgb(245, 186, 69);" cx="511.394" cy="512.303" rx="383.796" ry="382.991"/><path d="M 127.318 512.341 C 127.318 460.117 137.558 409.941 157.696 362.496 C 177.835 315.051 205.483 274.091 239.616 239.616 C 273.75 205.141 314.71 177.835 362.496 157.696 C 410.283 137.557 459.776 127.317 511.659 127.317 C 563.883 127.317 614.059 137.557 661.504 157.696 C 708.95 177.835 749.91 205.483 784.384 239.616 C 818.859 273.749 846.166 314.709 866.304 362.496 C 886.443 410.283 896.683 459.776 896.683 512.341 C 896.683 564.224 886.443 614.059 866.304 661.504 C 846.166 708.949 818.518 749.909 784.384 784.384 C 750.251 818.859 709.291 846.165 661.504 866.304 C 613.718 886.443 564.224 896.683 511.659 896.683 C 459.776 896.683 409.942 886.443 362.496 866.304 C 315.051 846.165 274.091 818.517 239.616 784.384 C 205.142 750.251 177.835 709.291 157.696 661.504 C 137.558 613.717 127.318 564.565 127.318 512.341 Z M 168.278 512.341 C 168.278 558.763 177.494 603.136 195.584 645.461 C 213.675 687.787 238.251 724.651 268.971 755.371 C 299.691 786.091 336.214 810.325 378.88 828.757 C 421.547 847.189 465.92 856.064 512 856.064 C 558.763 856.064 603.136 846.848 645.462 828.757 C 687.787 810.667 724.31 786.091 755.371 755.371 C 786.432 724.651 810.667 688.128 828.758 645.461 C 846.848 602.795 856.064 558.421 856.064 512.341 C 856.064 450.219 840.704 392.875 809.984 339.968 C 779.264 287.061 737.28 245.419 684.374 214.357 C 631.467 183.296 574.123 168.277 512 168.277 C 465.579 168.277 421.206 177.493 378.88 195.584 C 336.555 213.675 299.691 238.251 268.971 269.312 C 238.251 300.373 214.016 336.896 195.584 379.221 C 177.152 421.547 168.278 465.92 168.278 512.341 Z" style="fill: rgb(100, 108, 119);"/></svg>');
}
.moon-5 {
  background-image: url('data:image/svg+xml,<svg viewBox="0 0 1024 1024" version="1.1" xmlns="http://www.w3.org/2000/svg" width="200" height="200"><ellipse style="stroke: rgb(0, 0, 0); fill: rgb(245, 186, 69);" cx="511.394" cy="512.303" rx="383.796" ry="382.991"/><path d="M 127.829 511.829 C 127.829 459.947 138.069 410.112 158.207 362.667 C 178.346 315.221 205.994 274.603 240.127 240.128 C 274.261 205.653 315.221 178.347 362.666 158.208 C 410.111 138.069 459.605 127.829 511.829 127.829 C 564.053 127.829 613.546 138.069 660.991 158.208 C 708.437 178.347 749.397 205.995 783.871 240.128 C 818.346 274.261 845.653 315.221 865.791 362.667 C 885.93 410.112 896.17 459.605 896.17 511.829 C 896.17 564.053 885.93 613.547 865.791 660.992 C 845.653 708.437 818.005 749.397 783.871 783.872 C 749.738 818.347 708.778 845.653 660.991 865.792 C 613.205 885.931 563.711 896.171 511.829 896.171 C 459.946 896.171 410.111 885.931 362.666 865.792 C 315.221 845.653 274.602 818.005 240.127 783.872 C 205.653 749.739 178.346 708.779 158.207 660.992 C 138.069 613.205 127.829 564.053 127.829 511.829 Z M 168.789 511.829 C 168.789 558.592 178.005 602.965 196.095 645.291 C 214.186 687.616 238.762 724.139 269.482 754.859 C 300.202 785.579 336.725 809.813 379.05 828.245 C 421.375 846.677 465.749 855.552 512.17 855.552 C 523.434 855.552 531.967 855.552 537.087 855.211 C 563.711 834.389 586.239 810.496 603.989 783.189 C 621.738 755.883 635.391 726.528 644.266 695.467 C 653.141 664.405 659.285 634.368 662.698 605.696 C 666.111 577.024 667.818 545.963 667.818 512.171 C 667.818 446.976 656.895 383.829 634.709 323.072 C 612.522 262.315 578.389 211.115 531.626 169.813 C 527.189 169.472 520.703 169.472 511.487 169.472 C 465.066 169.472 420.693 178.688 378.367 196.779 C 336.042 214.869 300.202 238.763 269.482 269.483 C 238.762 300.203 214.527 336.725 196.095 379.051 C 177.663 421.376 168.789 465.749 168.789 511.829 Z" style="fill: rgb(100, 108, 119);"/></svg>');
}
.moon-6 {
  background-image: url('data:image/svg+xml,<svg viewBox="0 0 1024 1024" version="1.1" xmlns="http://www.w3.org/2000/svg" width="200" height="200"><ellipse style="stroke: rgb(0, 0, 0); fill: rgb(245, 186, 69);" cx="511.394" cy="512.303" rx="383.796" ry="382.991"/><path d="M 127.829 511.829 C 127.829 459.947 138.069 410.112 158.207 362.667 C 178.346 315.221 205.994 274.603 240.127 240.128 C 274.261 205.653 315.221 178.347 362.666 158.208 C 410.111 138.069 459.605 127.829 511.829 127.829 C 564.053 127.829 613.546 138.069 660.991 158.208 C 708.437 178.347 749.397 205.995 783.871 240.128 C 818.346 274.261 845.653 315.221 865.791 362.667 C 885.93 410.112 896.17 459.605 896.17 511.829 C 896.17 564.053 885.93 613.547 865.791 660.992 C 845.653 708.437 818.005 749.397 783.871 783.872 C 749.738 818.347 708.778 845.653 660.991 865.792 C 613.205 885.931 563.711 896.171 511.829 896.171 C 459.946 896.171 410.111 885.931 362.666 865.792 C 315.221 845.653 274.602 818.005 240.127 783.872 C 205.653 749.739 178.346 708.779 158.207 660.992 C 138.069 613.205 127.829 564.053 127.829 511.829 Z M 168.789 511.829 C 168.789 558.592 178.005 602.965 196.095 645.291 C 214.186 687.616 238.762 724.139 269.482 754.859 C 300.202 785.579 336.725 809.813 379.05 828.245 C 421.375 846.677 465.749 855.552 512.17 855.552 L 519.338 855.552 L 519.338 168.789 L 512.17 168.789 C 465.749 168.789 421.375 178.005 379.05 196.096 C 336.725 214.187 300.202 238.763 269.482 269.483 C 238.762 300.203 214.527 336.725 196.095 379.051 C 177.663 421.376 168.789 465.749 168.789 511.829 Z" style="fill: rgb(100, 108, 119);"/></svg>');
}
.moon-7 {
  background-image: url('data:image/svg+xml,<svg viewBox="0 0 1024 1024" version="1.1" xmlns="http://www.w3.org/2000/svg" width="200" height="200"><ellipse style="stroke: rgb(0, 0, 0); fill: rgb(245, 186, 69);" cx="511.394" cy="512.303" rx="383.796" ry="382.991"/><path d="M 127.829 511.829 C 127.829 459.947 138.069 410.112 158.207 362.667 C 178.346 315.221 205.994 274.603 240.127 240.128 C 274.261 205.653 315.221 178.347 362.666 158.208 C 410.111 138.069 459.605 127.829 511.829 127.829 C 564.053 127.829 613.546 138.069 660.991 158.208 C 708.437 178.347 749.397 205.995 783.871 240.128 C 818.346 274.261 845.653 315.221 865.791 362.667 C 885.93 410.112 896.17 459.605 896.17 511.829 C 896.17 564.053 885.93 613.547 865.791 660.992 C 845.653 708.437 818.005 749.397 783.871 783.872 C 749.738 818.347 708.778 845.653 660.991 865.792 C 613.205 885.931 563.711 896.171 511.829 896.171 C 459.946 896.171 410.111 885.931 362.666 865.792 C 315.221 845.653 274.602 818.005 240.127 783.872 C 205.653 749.739 178.346 708.779 158.207 660.992 C 138.069 613.205 127.829 564.053 127.829 511.829 Z M 168.789 511.829 C 168.789 596.48 196.095 670.891 251.05 734.72 C 306.005 798.549 374.613 837.461 456.874 851.115 C 422.399 834.048 393.386 813.568 369.493 788.992 C 345.599 764.416 326.826 737.792 313.855 708.096 C 300.885 678.4 291.327 647.68 285.525 615.936 C 279.722 584.192 276.65 549.376 276.65 511.488 C 276.65 439.467 293.717 372.907 327.509 312.149 C 361.301 251.392 408.405 204.288 468.138 171.52 C 412.501 178.688 361.983 197.803 316.245 229.547 C 270.506 261.291 234.666 302.251 208.383 352.085 C 182.101 401.92 168.789 454.827 168.789 511.829 Z" style="fill: rgb(100, 108, 119);"/></svg>');
}

.open-source {
  width: 100%;
  border-collapse: collapse;
  font-size: 0.95rem;
  border: 1px solid #e1e8ed;
  border-radius: 6px;
  overflow: hidden;
  margin-bottom: 20px;
}

.open-source thead tr {
  background-color: #f8f9fa;
  color: #2c3e50;
  text-align: left;
  font-weight: 600;
  border-bottom: 2px solid #e1e8ed;
}

.open-source th, .open-source td {
  padding: 7px 9px;
  border-bottom: 1px solid #e1e8ed;
}

.open-source tbody tr {
  transition: all 0.2s ease;
}

.open-source tbody tr:hover {
  background-color: #f1f8ff;
}

.open-source tbody tr:last-of-type td {
  border-bottom: none;
}